package com.ruoyi.ss.apiPrice.mapper;

import com.ruoyi.ss.apiPrice.domain.ApiPrice;
import com.ruoyi.ss.apiPrice.domain.ApiPriceQuery;
import com.ruoyi.ss.apiPrice.domain.ApiPriceVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * API收费标准Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-08
 */
public interface ApiPriceMapper
{
    /**
     * 查询API收费标准
     *
     * @param id API收费标准主键
     * @return API收费标准
     */
    public ApiPriceVO selectApiPriceById(Long id);

    /**
     * 查询API收费标准列表
     *
     * @param query API收费标准
     * @return API收费标准集合
     */
    public List<ApiPriceVO> selectApiPriceList(@Param("query")ApiPriceQuery query);

    /**
     * 新增API收费标准
     *
     * @param apiPrice API收费标准
     * @return 结果
     */
    public int insertApiPrice(ApiPrice apiPrice);

    /**
     * 修改API收费标准
     *
     * @param apiPrice API收费标准
     * @return 结果
     */
    public int updateApiPrice(@Param("data") ApiPrice apiPrice);

    /**
     * 删除API收费标准
     *
     * @param id API收费标准主键
     * @return 结果
     */
    public int deleteApiPriceById(Long id);

    /**
     * 批量删除API收费标准
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteApiPriceByIds(Long[] ids);

    /**
     * 逻辑删除
     */
    int logicDel(@Param("ids") List<Long> ids);

    /**
     * 查询一个
     */
    ApiPriceVO selectOne(@Param("query") ApiPriceQuery query);
}
